package cn.com.infosec.i18n;

import java.util.Locale;
import java.util.TimeZone;

public class MessageBundle extends TextBundle {
   public static final String TITLE_ENTRY = "title";

   public MessageBundle(String resource, String id) {
      super(resource, id);
   }

   public MessageBundle(String resource, String id, String encoding) {
      super(resource, id, encoding);
   }

   public MessageBundle(String resource, String id, Object[] arguments) {
      super(resource, id, arguments);
   }

   public MessageBundle(String resource, String id, String encoding, Object[] arguments) {
      super(resource, id, encoding, arguments);
   }

   public String getTitle(Locale loc, TimeZone timezone) {
      return this.getEntry("title", loc, timezone);
   }

   public String getTitle(Locale loc) {
      MessageBundle var10000 = this;
      TimeZone var2 = TimeZone.getDefault();
      return var10000.getEntry("title", loc, var2);
   }
}
